Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class PrefixResolverDefault

    java.lang.Object
      |
      +--org.apache.xml.utils.PrefixResolverDefault

Direct Known Subclasses:
  XPathNSResolverImpl

public class PrefixResolverDefault
extends java.lang.Object
implements PrefixResolver

This class implements a generic PrefixResolver that can be used to perform prefix-to-namespace lookup for the XPath object.

Field Summary
`static java.lang.String` | `S_XMLNAMESPACEURI` The URI for the XML namespace.

Constructor Summary
`PrefixResolverDefault(Node xpathExpressionContext)` Construct a PrefixResolverDefault object.

Method Summary
`java.lang.String` | `getBaseIdentifier()` Return the base identifier.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)` Given a namespace, get the corrisponding prefix.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, Node namespaceContext)` Given a namespace, get the corrisponding prefix.
`boolean` | `handlesNullPrefixes()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_XMLNAMESPACEURI

    public static final java.lang.String S_XMLNAMESPACEURI

  The URI for the XML namespace. (Duplicate of that found in org.apache.xpath.XPathContext).

Constructor Detail

### PrefixResolverDefault

    public PrefixResolverDefault(Node xpathExpressionContext)

  Construct a PrefixResolverDefault object.
  Parameters:
    `xpathExpressionContext` - The context from which XPath expression prefixes will be resolved. Warning: This will not work correctly if xpathExpressionContext is an attribute node.
    `xpathExpressionContext` - Node from which to start searching for a xmlns attribute that binds a prefix to a namespace (when the namespace context is not specified in the getNamespaceForPrefix call).

Method Detail

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Given a namespace, get the corrisponding prefix. This assumes that the PrevixResolver hold's it's own namespace context, or is a namespace context itself.
  Specified by:
    getNamespaceForPrefix in interface PrefixResolver
  Parameters:
    `prefix` - Prefix to resolve.
  Returns:
    Namespace that prefix resolves to, or null if prefix is not bound.

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  Node namespaceContext)

  Given a namespace, get the corrisponding prefix. Warning: This will not work correctly if namespaceContext is an attribute node.
  Specified by:
    getNamespaceForPrefix in interface PrefixResolver
  Parameters:
    `prefix` - Prefix to resolve.
    `namespaceContext` - Node from which to start searching for a xmlns attribute that binds a prefix to a namespace.
  Returns:
    Namespace that prefix resolves to, or null if prefix is not bound.

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  Return the base identifier.
  Specified by:
    getBaseIdentifier in interface PrefixResolver
  Returns:
    null

### handlesNullPrefixes

    public boolean handlesNullPrefixes()

  Specified by:
    handlesNullPrefixes in interface PrefixResolver
  See Also:
    `PrefixResolver.handlesNullPrefixes()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.